Skip to content
BolderBolder API
Esc
navigateopen⌘Jpreview

Upload theme asset

Uploads a new static asset (image, font, etc.) to a theme. The file data must be Base64-encoded. Requires admin scope.

POST/themes/{theme_id}/assets
Authorization
AuthorizationBearer token (JWT) · headerrequired
OAuth 2.0 Bearer token. Obtain via `POST https://auth.onbolder.com/oauth/token`.
Scopes:admin
Path parameters
theme_idstringrequired
Request body
requiredapplication/json
file_namestringrequired
datastringrequired
Base64-encoded file data URI
Responses
201Asset uploaded
idstring
file_namestring
content_typestring
file_sizeinteger
digeststring
updated_onstring<date-time>
_linksobject
Show properties
fileHalLink
Show properties
hrefstring
methodstring
titlestring
typestring
templatedboolean
Request
curl -X POST "https://api.onbolder.com/v1/themes/string/assets" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "file_name": "string",
  "data": "string"
}'
Response
{
  "id": "string",
  "file_name": "string",
  "content_type": "string",
  "file_size": 0,
  "digest": "string",
  "updated_on": "2019-08-24T14:15:22Z",
  "_links": {
    "file": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    }
  }
}